Get a barber appointment
Return appointment details visible to the owning barber.
curl --request GET \
--url https://api.guile.app/barbers/{barberId}/appointments/{appointmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.guile.app/barbers/{barberId}/appointments/{appointmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.guile.app/barbers/{barberId}/appointments/{appointmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appointment": {
"givenName": "<string>",
"services": [
{
"id": "<string>",
"name": "<string>",
"cost": "456.78",
"duration": "<string>"
}
],
"occursOn": "2023-11-07T05:31:56Z",
"duration": "<string>",
"cost": "456.78",
"barber": {
"id": "<string>",
"givenName": "<string>",
"surname": "<string>",
"preferredName": "<string>",
"biography": "<string>",
"spokenLanguages": [],
"experience": 50,
"instagram": "<string>",
"urlSlug": "<string>",
"profileImage_URL": "<string>",
"phoneNumber": "<string>"
},
"location": {
"id": "<string>",
"name": "<string>",
"shopName": "<string>",
"address": {
"address1": "<string>",
"locality": "Atlanta",
"regionCode": "VT",
"postalCode": "20521-9000",
"countryCode": "CA",
"address2": "<string>"
}
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"totalAuthorized": "456.78",
"totalCaptured": "456.78",
"totalRefunded": "456.78",
"bookingRequest": {
"value": {
"serviceSubtotal": "456.78",
"total": "456.78",
"offHoursFee": "456.78",
"tipAmount": "456.78"
},
"expiresAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"declineReason": "<string>",
"expirationReason": "approvalTimedOut"
},
"offHoursFee": "456.78",
"tipAmount": "456.78",
"surname": "<string>",
"displayName": "<string>",
"timeZone": "<string>",
"recurringAppointmentId": "<string>",
"paymentLinkSend": {
"attemptsUsed": 1,
"attemptsRemaining": 1,
"maxAttempts": 1,
"nextAvailableAt": "2023-11-07T05:31:56Z",
"lastSentAt": "2023-11-07T05:31:56Z"
},
"bookingMessage": "<string>",
"referencePhotos": [
{
"id": "<string>",
"url": "<string>",
"thumbnailUrl": "<string>"
}
],
"cancellation": {
"canceledAt": "2023-11-07T05:31:56Z",
"note": "<string>",
"policySnapshot": {
"lateCancellationWindow": "<string>",
"lateCancellationFee": {
"fixed": "456.78",
"currencyCode": "USD",
"percentage": 50
},
"noShowFee": {
"fixed": "456.78",
"currencyCode": "USD",
"percentage": 50
}
},
"fee": {
"amount": "456.78",
"currencyCode": "USD",
"applied": true
}
},
"cancellationFeePreviews": {
"lateCancellation": {
"amount": "456.78",
"currencyCode": "USD",
"appliesNow": true,
"freeUntil": "2023-11-07T05:31:56Z"
},
"noShow": {
"amount": "456.78",
"currencyCode": "USD"
}
},
"deposit": {
"amount": "456.78",
"refundedAmount": "456.78"
},
"calendarEventUrl": "<string>",
"reviewed": true,
"reviewPromptDismissed": true
},
"client": {
"id": "<string>"
},
"bookingMessage": "<string>",
"referencePhotos": [
{
"id": "<string>",
"url": "<string>",
"thumbnailUrl": "<string>"
}
],
"cancellation": {
"canceledAt": "2023-11-07T05:31:56Z",
"note": "<string>",
"policySnapshot": {
"lateCancellationWindow": "<string>",
"lateCancellationFee": {
"fixed": "456.78",
"currencyCode": "USD",
"percentage": 50
},
"noShowFee": {
"fixed": "456.78",
"currencyCode": "USD",
"percentage": 50
}
},
"fee": {
"amount": "456.78",
"currencyCode": "USD",
"applied": true
}
},
"cancellationFeePreviews": {
"lateCancellation": {
"amount": "456.78",
"currencyCode": "USD",
"appliesNow": true,
"freeUntil": "2023-11-07T05:31:56Z"
},
"noShow": {
"amount": "456.78",
"currencyCode": "USD"
}
}
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}Path Parameters
The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.
The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.
Response
Ok. The operation succeeded.
A barber-facing representation of an appointment.
The appointment resource.
Show child attributes
Show child attributes
The barber's client record linked to the appointment customer.
Show child attributes
Show child attributes
The customer message saved with the appointment at booking time.
500Approved appointment reference photos visible to the barber and customer.
3Show child attributes
Show child attributes
The cancellation decision recorded when the appointment is canceled.
Show child attributes
Show child attributes
The fee amounts available before a cancellation decision.
Show child attributes
Show child attributes
Was this page helpful?
